int inc = 1;
int diameter = 0;
int num = 30;

int [] xPos = new int[num]; //declare that xPos will be an array of num integers
int [] yPos = new int[num]; 

void setup() {
  size(400, 400);
  frameRate(30);
 
  randomizePositions(); // executes the code in the randomizePositions function here 
}

void randomizePositions() {
  for(int i = 0; i < num; i++) { // loop num times
    xPos[i] = (int)random(width); //x position of for index i = random
    yPos[i] = (int)random(height);
  }
}

void draw() {
  background(0); //clear the canvas
  fill(255); //set the fill color for shapes
  
  translate(0, height/4); // move the origin
  rotate(radians(-15)); //rotate the canvas 15 degrees
  
  for(int i = 0; i < num; i++) { // loop num times... i.e. draw 30 rects and ellipses
    rect(xPos[i], yPos[i], 2*diameter, diameter);
    ellipse(xPos[i]+diameter/2, yPos[i], diameter, diameter);
  }
  
  diameter++;
  if(diameter >= 20) diameter = 0;
 
}

void keyPressed() {
   if(key == 'r') {
      randomizePositions();
   } 
}
